curl --request GET \
--url https://api.decisionly.com/v2/issuer/cases/{case_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.decisionly.com/v2/issuer/cases/{case_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.decisionly.com/v2/issuer/cases/{case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardholder": {
"issuer_id": "9529456289",
"name": "Jane Smith",
"billing_address": {
"city": "San Francisco",
"country": "US",
"line1": "742 Evergreen Terrace",
"line2": "Unit 5B",
"postal_code": "94102",
"state": "CA"
},
"email": "jane@example.com",
"type": "individual"
},
"case_id": "case_abc123",
"claim_id": "claim_abc123",
"created": "2026-04-01T00:00:00.000Z",
"custom_fields": {},
"dispute": {
"amount": 2990,
"currency": "USD",
"date": "2026-04-01T00:00:00.000Z",
"reason": "fraud",
"raised_by": "cardholder"
},
"issuer_evidence": {
"amount_correction": {
"amount": 2,
"currency": "<string>"
},
"cancellation": {
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"policy_provided": true
},
"card": {
"cardholder_has_possession": true,
"is_active": true,
"lost_date": "2023-11-07T05:31:56Z",
"possession_at_transaction": "had_possession"
},
"cardholder_explanation": "<string>",
"delivery": {
"date": "2023-11-07T05:31:56Z",
"expected_date": "2023-11-07T05:31:56Z"
},
"documentation": [
"<string>"
],
"fraud": {
"submit_report": true,
"was_reported": true
},
"issuer_explanation": "<string>",
"merchant_contact": {
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"prohibited_reason": "<string>",
"was_attempted": true,
"was_successful": true
},
"prior_transaction": {
"amount": 123,
"arn": "48162855246353338636162",
"card": {
"expiry_month": 12,
"expiry_year": 2028,
"issuer_id": "b5te350d5135ab64a8t3c1097tadetd9ettb",
"last4": "4242",
"network": "mastercard",
"type": "credit"
},
"currency": "<string>",
"date": "2023-11-07T05:31:56Z",
"issuer_id": "85cfda4d06b8440db3ec15af04061c98"
},
"product": {
"condition": "<string>",
"description": "<string>",
"order_id": "<string>",
"type": "merchandise"
},
"refund": {
"description": "<string>",
"policy_provided": true,
"promise_date": "2023-11-07T05:31:56Z",
"was_promised": true
},
"return": {
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"policy_provided": true,
"shipping": {
"carrier": "<string>",
"tracking_number": "<string>"
},
"was_attempted": true,
"was_successful": true
},
"service": {
"end_date": "2023-11-07T05:31:56Z"
}
},
"merchant": {
"name": "FoodHub",
"category_code": "5812",
"issuer_id": "8201132789"
},
"program_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "fraud",
"resolution_due_date": "2026-07-01T00:00:00.000Z",
"status": "created",
"transaction": {
"amount": 2990,
"arn": "48162855246353338636162",
"card": {
"last4": "4242",
"network": "mastercard",
"billing_cycle_day": 15,
"expiry_month": 12,
"expiry_year": 2028,
"issuer_id": "b5te350d5135ab64a8t3c1097tadetd9ettb",
"type": "credit"
},
"currency": "USD",
"date": "2026-03-15T00:00:00.000Z",
"issuer_id": "85cfda4d06b8440db3ec15af04061c98",
"network_details": {
"amex": {
"transaction_id": "<string>",
"electronic_commerce_indicator": "05",
"cvv_check": "pass",
"avs_postal_match": "pass",
"avs_street_match": "pass"
},
"mastercard": {
"switch_serial_number": "<string>"
}
},
"system": "dual_message"
}
}Retrieve a case
Returns a case by ID.
Authorizations
Use your API key as the username. No password is required.
Path Parameters
Response
Returns the case.
Details of the cardholder.
Show child attributes
Show child attributes
Unique identifier for the case.
"case_abc123"
The claim this case belongs to. Read-only. Cases are added to claims using the claims API.
"claim_abc123"
When the case was created. ISO 8601 format.
"2026-04-01T00:00:00.000Z"
Custom key-value pairs for storing additional data with your cases. See Custom Fields documentation for more details.
Dispute details for the case.
Show child attributes
Show child attributes
Issuer evidence for the dispute.
Show child attributes
Show child attributes
Details of the merchant.
Show child attributes
Show child attributes
Your unique identifier for the card program the case belongs to.
126"550e8400-e29b-41d4-a716-446655440000"
Deprecated. Use dispute.reason instead.
canceled_or_returned, cash_not_received, credit_not_processed, duplicate_charge, fraud, incorrect_amount, invalid_authorization, other, product_counterfeit, product_not_as_described, product_not_received, subscription_canceled "fraud"
The deadline by which the case must be resolved. Read-only. ISO 8601 format.
"2026-07-01T00:00:00.000Z"
The status of the case.
created, chargeback_filed, chargeback_represented, prearb_received, prearb_filed, prearb_rebutted, arbitration_filed, won, lost, accepted, rejected, expired, withdrawn, merchant_credited "created"
Details of the disputed transaction.
Show child attributes
Show child attributes